Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET - Document Results

get

This endpoint allows you to query the results gathered from Sypht's field extraction.

Refer to AI Products for detailed description of fields extracted for each AI product.

Required scopes
This endpoint requires the following scopes:
  • : Provides access to Result Service
  • : Read access to documents
Authorizations
OAuth2clientCredentialsRequired

We use an Oauth2 authentication flow. Users can create a client_id and client_secret upon signing up with Sypht. Use these to generate your reusable bearer token, which must be included in the Authorization header of each request. You can store and reuse these tokens for up to an hour.

To get a token you need to POST to the tokenUrl with the client_id and grant_type in the request body and colon separated, base64 encoded client_id and client_secret in a basic Authorization header. For example Basic {Base64(client_id:client_secret)}

Token URL:
Path parameters
fileIdstringRequired

The unique identifier associated to the document received at the time of upload.

Responses
200

OK

application/json
fileIdstringOptional
statusstringOptional
get/result/final/{fileId}
curl --location --request GET "https://api.sypht.com/result/final/{{file id}}" \
  --header "Accept: application/json" \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer {{access token}}" \
  --data ""
{
  "fileId": "a44b272a-aabb-4c7d-a473-769e09344044",
  "status": "FINALISED",
  "results": "{\n  \"timestamp\": \"2018-05-10T01:42:12.078Z\"\n  \"fields\": |\n    [\n      {\n        \"name\": \"bpayBillerCode\",\n        \"value\": \"7773\",\n        \"confidence\": 1\n      },\n      {\n        \"name\": \"dueDate\",\n        \"value\": \"2018-01-17\",\n        \"confidence\": 1\n      },\n      {\n        \"name\": \"bpayCRN\",\n        \"value\": \"2376513400\",\n        \"confidence\": 1\n      },\n      {\n        \"name\": \"amountDueAfterDiscount\",\n        \"value\": \"27.50\",\n        \"confidence\": 1\n      }\n    ]\n  }\n"
}

Last updated